=== modified file 'bzrlib/add.py'
--- bzrlib/add.py	2005-10-02 21:51:29 +0000
+++ bzrlib/add.py	2005-10-03 02:10:02 +0000
@@ -14,6 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+from bzrlib.inventory import InventoryEntry
 from bzrlib.trace import mutter, note, warning
 from bzrlib.errors import NotBranchError
 from bzrlib.branch import Branch
@@ -95,7 +96,7 @@
 
         kind = bzrlib.osutils.file_kind(af)
 
-        if kind != 'file' and kind != 'directory' and kind != 'symlink':
+        if not InventoryEntry.versionable_kind(kind):
             if f in user_list:
                 raise BadFileKindError("cannot add %s of type %s" % (f, kind))
             else:

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-10-02 21:51:29 +0000
+++ bzrlib/branch.py	2005-10-03 02:10:02 +0000
@@ -23,6 +23,7 @@
 
 
 import bzrlib
+from bzrlib.inventory import InventoryEntry
 from bzrlib.trace import mutter, note
 from bzrlib.osutils import (isdir, quotefn, compact_date, rand_bytes, 
                             rename, splitpath, sha_file, appendpath, 
@@ -578,8 +579,9 @@
                     # maybe something better?
                     raise BzrError('cannot add: not a regular file, symlink or directory: %s' % quotefn(f))
 
-                if kind not in ('file', 'directory', 'symlink'):
-                    raise BzrError('cannot add: not a regular file, symlink or directory: %s' % quotefn(f))
+                if not InventoryEntry.versionable_kind(kind):
+                    raise BzrError('cannot add: not a versionable file ('
+                                   'i.e. regular file, symlink or directory): %s' % quotefn(f))
 
                 if file_id is None:
                     file_id = gen_file_id(f)

=== modified file 'bzrlib/inventory.py'
--- bzrlib/inventory.py	2005-10-03 01:42:16 +0000
+++ bzrlib/inventory.py	2005-10-03 02:10:02 +0000
@@ -172,6 +172,10 @@
         l.sort()
         return l
 
+    @staticmethod
+    def versionable_kind(kind):
+        return kind in ('file', 'directory', 'symlink')
+
     def check(self, checker, rev_id, inv, tree):
         if self.parent_id != None:
             if not inv.has_id(self.parent_id):

